- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structures | Public Types | Public Member Functions | Data Fields
efl::eina::_ptr_list_common_base< T, CloneAllocator > Struct Template Reference
Eina C++Eina C++ » | Data Types » Containers » List of Pointers Eina C++Eina C++ » | Data Types » | Containers

Common implementations for `ptr_list`. More...

## Data Structures
struct | _ptr_list_impl

## Public Types
typedef CloneAllocator | clone_allocator_type
| Type for the clone allocator. More...

## Public Member Functions
| _ptr_list_common_base (CloneAllocator clone_allocator)
| Creates an list with the given clone allocator.
| _ptr_list_common_base (Eina_List *_list)
| Create a new object from a handle to a native Eina_List. More...
_ptr_list_common_base< T, CloneAllocator > & | operator= (_ptr_list_common_base< T, CloneAllocator > &&other)=default
| _ptr_list_common_base (_ptr_list_common_base< T, CloneAllocator > &&other)=default
| _ptr_list_common_base ()
| Default constructor. More...
CloneAllocator & | _get_clone_allocator ()
CloneAllocator const & | _get_clone_allocator () const
void | _delete_clone (T const *p)
T * | _new_clone (T const &a)

## Data Fields
_ptr_list_impl | _impl

## Detailed Description

### template<typename T, typename CloneAllocator>
struct efl::eina::_ptr_list_common_base< T, CloneAllocator >

Common implementations for `ptr_list`.

## Member Typedef Documentation

template<typename T, typename CloneAllocator>

typedef CloneAllocator efl::eina::_ptr_list_common_base< T, CloneAllocator >::clone_allocator_type

Type for the clone allocator.

## Constructor & Destructor Documentation

template<typename T, typename CloneAllocator>

efl::eina::_ptr_list_common_base< T, CloneAllocator >::_ptr_list_common_base | ( | Eina_List * | _list | ) |
| inline

Create a new object from a handle to a native Eina_List.

Parameters

  _list | Handle to a native Eina_List.

This constructor wraps a pre-allocated Eina_List providing an OOP interface to it.

Warning
  It is important to note that the created object gains ownership of the handle, deallocating it at destruction time.

template<typename T, typename CloneAllocator>

efl::eina::_ptr_list_common_base< T, CloneAllocator >::_ptr_list_common_base | ( |  | ) |
| inline

Default constructor.

Create an empty list.

This constructor creates a list with no elements.